Permalink
Browse files

http-parser: use python2

  • Loading branch information...
FRidh committed Oct 17, 2016
1 parent a50087e commit ca0f6b85b98a9ae6249e9d4cb0a33eadfe12286c
Showing with 4 additions and 4 deletions.
  1. +3 −3 pkgs/development/libraries/http-parser/default.nix
  2. +1 −1 pkgs/top-level/all-packages.nix
@@ -1,4 +1,4 @@
{ stdenv, fetchurl, gyp, utillinux, python, fixDarwinDylibNames }:
{ stdenv, fetchurl, python2Packages, utillinux, fixDarwinDylibNames }:
let
version = "2.7.0";
@@ -17,9 +17,9 @@ in stdenv.mkDerivation {
buildFlags = [ "BUILDTYPE=Release" ];
buildInputs =
[ gyp ]
[ python2Packages.gyp ]
++ stdenv.lib.optional stdenv.isLinux utillinux
++ stdenv.lib.optionals stdenv.isDarwin [ python fixDarwinDylibNames ];
++ stdenv.lib.optionals stdenv.isDarwin [ python2Packages.python fixDarwinDylibNames ];
doCheck = !stdenv.isDarwin;
@@ -7258,7 +7258,7 @@ in
htmlcxx = callPackage ../development/libraries/htmlcxx { };
http-parser = callPackage ../development/libraries/http-parser { inherit (pythonPackages) gyp; };
http-parser = callPackage ../development/libraries/http-parser { };
hunspell = callPackage ../development/libraries/hunspell { };

0 comments on commit ca0f6b8

Please sign in to comment.